Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface CreatedClassC

All Known Subinterfaces:
  BehaviorPhaseC

public interface CreatedClassC
extends CreateC, CreateS, DefinedClassC, DefinedClassS

Class with variables and/or methods defined at runtime.. Class with variables and/or methods defined at runtime.

Method Summary
`java.lang.Object` | `hdf5InCreate(java.lang.Object hdf5Obj)`
`void` | `hdf5OutShallow(HDF5 hdf5Obj)`
`java.lang.Object` | `lispInCreate(java.lang.Object expr)`
`void` | `lispOutShallow(java.lang.Object stream)`
`java.lang.Object` | `setClass(java.lang.Class aClass)`
`java.lang.Object` | `setDefiningClass(java.lang.Object aClass)`
`java.lang.Object` | `setName(java.lang.String name)`
`java.lang.Object` | `setSuperclass(java.lang.Object aClass)`
`void` | `updateArchiver(Archiver archiver)`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### setName

    public java.lang.Object setName(java.lang.String name)

### setClass

    public java.lang.Object setClass(java.lang.Class aClass)

### setSuperclass

    public java.lang.Object setSuperclass(java.lang.Object aClass)

### setDefiningClass

    public java.lang.Object setDefiningClass(java.lang.Object aClass)

### lispInCreate

    public java.lang.Object lispInCreate(java.lang.Object expr)

### hdf5InCreate

    public java.lang.Object hdf5InCreate(java.lang.Object hdf5Obj)

### lispOutShallow

    public void lispOutShallow(java.lang.Object stream)

### hdf5OutShallow

    public void hdf5OutShallow(HDF5 hdf5Obj)

### updateArchiver

    public void updateArchiver(Archiver archiver)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD